Subject: Re: IETF Throughput (was RE: Voting (again))

From: Brian E Carpenter <[email-masked]>
Date: Wed, 04 May 2005 16:26:00 +0200

Jerry,

We all want to increase throughput and quality simultaneously,
but we need to look at facts before jumping to conclusions.

It's certainly true that if the technical quality of documents coming
out of WGs was better, IESG review *and the subsequent process
to rectify the document* would be quicker. If the linguistic
quality was better, they would spend less time in the RFC Editor
process. But unfortunately the IESG still receives a fair number
of documents with fairly serious technical issues and/or serious
editorial issues. As long as that is true, I really don't see how
we can take away the IESG's responsibility as the back stop for
quality, especially for cross-area issues.

However, you're fundamentally correct that the solution lies
in the WGs. If WGs produce output that is truly ready to ship,
it will get shipped quicker, whatever the formal path.

    Brian

Ash, Gerald R (Jerry), ALABS wrote:
> IMO the major problem to be solved is IETF throughput, takes far too
> long to produce RFCs, **years**, and getting worse.  Unacceptably long
> for users of the standards.  IESG is a bottleneck, well known, stated in
> RFC 3773 http://ietf.org/rfc/rfc3774.txt?number=3774, Section 2.6.2
> "Workload of the IESG"
> 
> There are 2 issues to be solved wrt throughput:
> 
> 1. needs to be vastly increased 
> 2. with no loss in current quality
> 
> Candidate solution: 
> 1. WG takes over full responsibility for RFC production ==> parallel
> processing
> 2. IESG maintains RFC quality with uniform WG process created,
> maintained, and enforced by IESG.
> 
> The PROTO team has a 'shepherding' proposal to offload some of the RFC
> approval work to WGs.  IMO this doesn't go far enough to offload the
> IESG sufficiently to eliminate the IESG bottleneck and create a parallel
> process at the WG level.
> 
> WG procedures would be developed to ensure RFC quality.  The procedures
> would be created, maintained, and enforced by the IESG.  WGs I
> participate in are mostly competent and thorough in RFC production,
> necessary cross-WG review is done, etc.  Many comments on this thread
> that this quality isn't uniform across WGs, and needs to be.
> 
> I see no reason this couldn't be made to work, proof is that it works
> like this, successfully, in other SDOs.
> 
> Jerry Ash
> 
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf
> 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Dave Crocker <[email-masked]>
Date: Wed, 4 May 2005 12:38:54 -0700

Brian,

>     But unfortunately the
>  IESG still receives a fair number of documents with fairly serious
>  technical issues and/or serious editorial issues. As long as that is true,
>  I really don't see how we can take away the IESG's responsibility as the
>  back stop for quality, especially for cross-area issues.

I have not seen anything like a groundswell of suggestions that the IESG-based 
quality assurrance function be ended and I do not expect to see it, for 
exactly the reason you cite.

However retaining that IESG function does not require that individual ADs 
continue to have veto.  Ralph Drom's recent postings in this regard are 
particularly cogent.

  d/
  ---
  Dave Crocker
  Brandenburg InternetWorking
  +1.408.246.8253
  dcrocker  a t ...
  WE'VE MOVED to:  www.bbiw.net